.hero {
    background-image: url(../imgs/full%20background.png);
    background-size: cover;
    background-position: center;
    min-height: 570px;
    height: auto;
    margin-top: 70px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hero-content {
    margin: 30px;
    display: inline-block;
}

.game-logo {
    background-image: url("../imgs/logo sp.png");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    width: 410px;
    height: 189px;
    display: inline-block;
    margin: 20px 0;
}

.hero-content p {
    font-family: kanit, sans-serif;
    color: #588FFF;
    font-size: 30px;
    max-width: 500px;
    font-family: "pixelify sans", sans-serif;
    text-shadow: #588FFF 0px 0px 10px;
}

.hero a {
    text-decoration: none;
    color: white;
    font-size: 20px;
    font-family: kanit, sans-serif;
    border: white 2px solid;
    padding: 10px 20px;
    border-radius: 40px;
    display: inline-block;
    margin-top: 50px;
    transition: 0.3s;
}

.hero a:hover {
    background-color: white;
    color: black;
    transform: scale(1.1);
}

.slide-scroll {
    display: flex;
    justify-content: center;
    margin-top: -30px;
}

.slide-btn {
    width: 252px;
    height: 46px;
    background-color: #0000007a;
    border-radius: 50px;
    border: white 1px solid;
    display: flex;
    align-items: center;
    justify-content: center;
}

.slide-btn div {
    margin: 10px;
}

.slide-btn .left {
    width: 0;
    height: 0;
    border-top: 12px solid transparent;
    border-bottom: 12px solid transparent;
    border-right: 12px solid white;
}

.slide-btn .right {
    width: 0;
    height: 0;
    border-top: 12px solid transparent;
    border-bottom: 12px solid transparent;
    border-left: 12px solid white;
}

.circle,
.diffrent {
    width: 15px;
    height: 15px;
    border-radius: 50%;
}

.circle {
    background-color: white;
}

.diffrent {
    background-color: rgb(54, 54, 54);
    border: white 2px solid;
}




.news {
    background-color: var(--main-color);
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.news-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: white;
    width: 100%;
    padding: 10px 72px;
    margin: 10px;
}

.news-head h1 {
    font-family: orbitron, sans-serif;
    position: relative;
    display: inline-block;
}

.news-head h1::after {
    content: "";
    position: absolute;
    background-image: linear-gradient(to right, white, black);
    width: 100%;
    height: 3px;
    left: 0;
    bottom: -5px;
}

@media (max-width: 768px) {
    .news-head {
        padding: 10px 20px;
    }
}

.news-head a {
    text-decoration: none;
    color: white;
    font-size: 20px;
    font-family: kanit, sans-serif;
    position: relative;
}

.news-head a::before {
    content: "";
    position: absolute;
    background-color: white;
    width: 0;
    height: 3px;
    left: -2px;
    bottom: -5px;
    transition: width 0.3s ease;
}

.news-head a:hover::before {
    width: 100%;
}

.news-field {
    background-image: linear-gradient(135deg, #272727, #555555);
    width: 90%;
    max-width: 1180px;
    min-height: 140px;
    height: auto;
    color: white;
    border: var(--border-color) 2px solid;
    margin: 20px auto;
    border-radius: 20px;
    display: flex;
    align-items: center;
    padding: 10px;
    gap: 10px;
    transition: all 0.3s ease;
    font-family: kanit, sans-serif;
}

.news-field:hover {
    transform: scale(1.1);
}

.news-info :nth-child(2) {
    font-size: 25px;
}

.news-card {
    background-size: cover;
    background-position: center;
    width: 220px;
    height: 110px;
    border-radius: 20px;
    border: var(--border-color) 1px solid;
}

#news2 {
    background-image: url(../imgs/power-switch.png);
}

#news1 {
    background-image: url(../imgs/laptop.jpg);
}




.recaption {
    background-color: var(--secondary-color);
    padding: 40px;
    color: white;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.about-team,
.studio-vision {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8%;
    flex-wrap: wrap;
}

.studio-vision {
    flex-direction: row-reverse;
}

.recaption .about-team .img {
    background-image: url(../imgs/three%20workers.png);
    background-size: cover;
    background-position: center;
}

.recaption .studio-vision .img {
    background-image: url(../imgs/studio%20company.jpg);
    background-size: cover;
    background-position: top;
}

.recaption .img,
.recaption .info {
    width: 100%;
    max-width: 540px;
    height: auto;
    min-height: 300px;
}

.recaption .img {
    border-radius: 20px;
}

.recaption .info {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 30px;
    text-align: center;
}

.recaption h1 {
    font-family: "Orbitron", sans-serif;
    font-size: 40px;
}

.recaption p {
    font-family: "Kanit", sans-serif;
    font-size: 20px;
}

.recaption a {
    font-family: "kanit", sans-serif;
    text-decoration: none;
    color: white;
    background-image: linear-gradient(135deg, #333333, #666666);
    padding: 10px;
    margin: 0 auto;
    width: 200px;
    border-radius: 50px;
    border: var(--border-color) 1px solid;
    transition: all 0.3s ease;
}

.recaption a:hover {
    width: 250px;
}




.our-games {
    background-color: var(--main-color);
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: white;
}

.our-games h1 {
    font-family: orbitron, sans-serif;
    margin: 40px auto;
    position: relative;
    font-size: 40px;
    text-shadow: var(--title-light);
}

.our-games h1::before {
    content: "";
    height: 3px;
    width: 100%;
    background-image: linear-gradient(to right, white 0%, black 100%);
    left: 0;
    bottom: -10px;
    position: absolute;
}

.games-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 50px;
}

.game-card {
    width: 329px;
    height: 250px;
    display: flex;
    flex-direction: column;
    border: var(--border-color) 1px solid;
    border-radius: 20px;
    transition: all 0.3s ease;
}

.game-card:hover {
    border: #A6A6A6 2px solid;
    box-shadow: rgba(255, 255, 255, 0.384) 0 0 10px;
}

.game-img {
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 70%;
    border-radius: 20px 20px 0 0;
}

#game1 {
    background-image: url(../imgs/power-switch.png);
}

#game2 {
    background-image: url(../imgs/5791858532641606717.jpg);
}

#game3 {
    background-image: url(../imgs/last-day.jpg);
    background-position: top;
}

.game-content {
    background-image: linear-gradient(135deg, #272727, #555555);
    width: 100%;
    height: 30%;
    border-radius: 0 0 20px 20px;
    display: flex;
    flex-direction: column;
    border-top: var(--border-color) 1px solid;
    padding: 10px 15px;
    align-content: center;
    font-family: Arial, Helvetica, sans-serif;
    gap: 5px;
    transition: all 0.3s ease;
}

.game-card:hover .game-content {
    background-color: #2F2F2F;
}

.game-link {
    text-decoration: none;
    color: inherit;
    display: block;
}

.our-games>a {
    font-family: "kanit", sans-serif;
    text-decoration: none;
    color: white;
    background-image: linear-gradient(135deg, #333333, #666666);
    padding: 10px;
    width: 300px;
    border-radius: 50px;
    border: var(--border-color) 1px solid;
    margin: 30px auto;
    display: flex;
    justify-content: center;
    transition: width 0.3s ease;
}

.our-games a:hover {
    width: 350px;
}

/* Home Page Media Queries */
@media (max-width: 900px) {
    .hero-content {
        text-align: center;
        width: 100%;
        margin: 30px 0;
    }

    .news-field {
        flex-direction: column;
        text-align: center;
        padding: 20px;
    }

    .news-card {
        width: 100%;
        max-width: 300px;
        margin-bottom: 15px;
    }
}

@media (max-width: 600px) {
    .game-logo {
        width: 90%;
        height: 150px;
    }

    .hero-content p {
        font-size: 20px;
    }

    .recaption h1 {
        font-size: 30px;
    }

    .recaption p {
        font-size: 16px;
    }

    .our-games h1 {
        font-size: 30px;
    }

    .game-card {
        width: 280px;
    }
}